org.keycloak.federation.ldap.mappers

## Class TxAwareLDAPUserModelDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.federation.ldap.mappers.TxAwareLDAPUserModelDelegate

- All Implemented Interfaces:
    RoleMapperModel, UserModel

      public abstract class TxAwareLDAPUserModelDelegate
      extends UserModelDelegate

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TxAwareLDAPUserModelDelegate.LDAPTransaction`
    `protected static class` | `TxAwareLDAPUserModelDelegate.TransactionState`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.UserRemovedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LDAPObject` | `ldapUser`
    `static org.jboss.logging.Logger` | `logger`
    `protected LDAPFederationProvider` | `provider`

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `EMAIL, FIRST_NAME, LAST_NAME, LOCALE, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TxAwareLDAPUserModelDelegate(UserModel delegate, LDAPFederationProvider provider, LDAPObject ldapUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `ensureTransactionStarted()`
    `TxAwareLDAPUserModelDelegate.LDAPTransaction` | `getTransaction()`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `addRequiredAction, addRequiredAction, deleteRoleMapping, getAttribute, getAttributes, getClientRoleMappings, getCreatedTimestamp, getCredentialsDirectly, getDelegate, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getId, getLastName, getRealmRoleMappings, getRequiredActions, getRoleMappings, getServiceAccountClientLink, getUsername, grantRole, hasRole, isEmailVerified, isEnabled, isMemberOf, isOtpEnabled, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setOtpEnabled, setServiceAccountClientLink, setSingleAttribute, setUsername, updateCredential, updateCredentialDirectly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final org.jboss.logging.Logger logger

    - #### provider

          protected LDAPFederationProvider provider

    - #### ldapUser

          protected LDAPObject ldapUser

  - ### Constructor Detail

    - #### TxAwareLDAPUserModelDelegate

          public TxAwareLDAPUserModelDelegate(UserModel delegate,
                                              LDAPFederationProvider provider,
                                              LDAPObject ldapUser)

  - ### Method Detail

    - #### getTransaction

          public TxAwareLDAPUserModelDelegate.LDAPTransaction getTransaction()

    - #### ensureTransactionStarted

          protected void ensureTransactionStarted()

Copyright © 2016 JBoss by Red Hat. All rights reserved.